/**
 * @package SobiPro Library
 *
 * @author
 * Name: Sigrid Suski & Radek Suski, Sigsiu.NET GmbH
 * Url: https://www.Sigsiu.NET
 *
 * @copyright Copyright (C) 2006–2024 Sigsiu.NET GmbH (https://www.sigsiu.net). All rights reserved.
 * @license GNU/LGPL Version 3
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License
 * version 3 as published by the Free Software Foundation, and under the additional terms according section 7 of GPL v3.
 * See https://www.gnu.org/licenses/lgpl.html and https://www.sigsiu.net/licenses.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * @created 26 December 2012 by Radek Suski
 * @modified 05 September 2024 by Sigrid Suski
 */
function SPExtensionInstaller(){window.location.reload()}SobiCore.Ready((function(){"use strict";let e="",o=document.getElementById("spctrl-progress");function r(){this.repository=SobiPro.jQuery('[name="RepositoryURL"]').val();const e=this;if(this.error=function(e){const o='<div class="alert alert-'+e.type+' alert-dismissible fade show" role="alert">'+e.text+'<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button></div>';SobiPro.jQuery("#spctrl-message").removeClass("alert-info").html(o)},this.request=function(e,o){SobiPro.jQuery.ajax({type:"post",url:"index.php",data:e,dataType:"json",success:function(r){o(r,e)},error:function(e){window.location.reload()}})},this.addRepo=function(o,r){if("error"===o.message.type)e.error(o.message);else{SobiPro.jQuery(o.message.response).appendTo(SobiPro.jQuery("#SobiPro"));const t=document.getElementById("spctrl-repo-modal").querySelector(".modal");new bootstrap.Modal(t).show(),SobiPro.jQuery("#spctrl-repo-modal").find(".confirm").click((function(){SobiPro.jQuery("#spctrl-repo-modal").remove(),r.task="extensions.confirmRepo",e.request(r,e.repoCallback)})),SobiPro.jQuery("#spctrl-repo-modal").find(".cancel").click((function(){SobiPro.jQuery("#spctrl-repo-modal").remove()}))}},this.repoCallback=function(o,r){if("error"===o.message.type)e.error(o.message);else if(void 0!==o.repository&&(r.repository=o.repository),o.callback){SobiPro.jQuery("<div>"+o.message.response+"</div>").appendTo(SobiPro.jQuery("#SobiPro"));const t=document.getElementById("spctrl-repo-modal").querySelector(".modal");new bootstrap.Modal(t).show(),SobiPro.jQuery("#spctrl-repo-modal").find(".confirm").click((function(){r.task="extensions.registerRepo",r.callback=o.callback;const t=SobiCore.SerialiseForm(SobiCore.QueryAll("[name^=RepositoryResponse\\[]"));for(let e=0;e<t.length;e++)r[t[e].name]=t[e].value;SobiPro.jQuery("#spctrl-repo-modal").remove(),e.request(r,e.repoCallback)})),SobiPro.jQuery("#spctrl-repo-modal").find(".cancel").click((function(){SobiPro.jQuery("#spctrl-repo-modal").remove()}))}else o.redirect&&(SigsiuBox.message("sp-done-box",o.message.response.replace(/<br\s*[\/]?>/gi,"\n"),{type:"info",color:"text-white"}),window.location.reload())},""===this.repository)SobiPro.Alert("NO_REPO");else{const e=SobiPro.jQuery("#SP_method").next("input"),o={option:"com_sobipro",task:"extensions.addRepo",method:"xhr",format:"raw",repository:this.repository};o[e.attr("name")]=e.val(),this.request(o,this.addRepo)}}function t(){SobiPro.jQuery.ajax({type:"get",url:SobiProAdmUrl.replace("%task%","progress"),dataType:"json",success:function(o){let r=document.getElementById("spctrl-progress-msg");if(r){let t,s;void 0===o.message.text?(t=o.type,s=o.message):(t=o.message.type,s=o.message.text),r.classList.contains("alert")&&(e!==t&&(e&&r.classList.remove(e),r.classList.remove("alert-info"),e="alert-"+t,r.classList.add(e)),r.innerText=s,r.classList.remove("hidden"))}SobiPro.jQuery("#spctrl-progress .progress-bar").attr("aria-valuenow",o.progress).css("width",o.progress+"%"),o.progress<100&&"error"!==o.type?setTimeout(t,o.interval):"error"!==o.type&&window.location.reload()}})}function s(e,o){this.ident=o.replace(/\./g,"-"),this.canvas=e,e.html('<div id="'+this.ident+'"><div class="progress"><div class="progress-bar bg-info" style="width: 0;" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div></div></div>'),i(this.ident);const r=SobiPro.jQuery("#SP_method").next("input"),t=SobiProAdmUrl.replace("%task%","extensions.download")+"&exid="+o+"&session="+this.ident+"&"+r.attr("name")+"="+r.val();this.progressBar=SobiPro.jQuery("#"+this.ident).find(".progress-bar");var s=this;this.progress=function(){SobiPro.jQuery.ajax({type:"get",url:SobiProAdmUrl.replace("%task%","progress")+"&session="+s.ident,dataType:"json",success:function(e){if("info"!==e.type&&"success"!==e.type&&void 0!==e.typeText){const o='<span class="text-'+e.type+'">'+e.typeText+"</span>",r='<div class="SobiPro modal fade" id="'+s.ident+'Modal" tabindex="-1" aria-labelledby="sparia-title"><div class="modal-dialog modal-lg modal-fullscreen-sm-down"><div class="modal-content"><div class="modal-header"><h3 class="modal-title" id="sparia-title">'+o+'</h3></div><div class="modal-body">'+e.message+'</div><div class="modal-footer"><button type="button" class="btn btn-primary" data-bs-dismiss="modal">OK</button></div></div></div></div>';SobiPro.jQuery(r).appendTo(s.canvas);const t=document.getElementById(s.ident+"Modal");new bootstrap.Modal(t).show(),t.querySelector(".btn").addEventListener("click",(e=>{bootstrap.Modal.getOrCreateInstance(t).hide()}))}e.redirect&&(window.location.replace(e.redirect.url),window.location.reload()),SobiPro.jQuery(s.progressBar).attr("aria-valuenow",e.progress).css("width",e.progress+"%").html(e.progress+"%"),e.progress<100&&"error"!==e.type&&setTimeout((function(){s.progress()}),e.interval)}})},SobiPro.jQuery.ajax({type:"get",url:t,dataType:"json"}),setTimeout((function(){s.progress()}),500)}function i(e){const o=new Date;o.setHours(o.getHours()+1);const r=o.getTime()+100*Math.floor(11*Math.random());document.cookie="SPro_ProgressMsg"+e+"="+r+";expires="+o.toUTCString()+";path=/"}SobiPro.jQuery("#SPAdminForm").on("BeforeAjaxSubmit",(function(e,r,s){if("extensions.fetch"===s){r.takeOver=!0,i(""),setTimeout(t,50),o&&(o.classList.remove("hidden"),SobiPro.jQuery("#spctrl-progress .progress-bar").attr("aria-valuenow",1).css("width","1%"));const e=SobiPro.jQuery("#SP_method").next("input"),a=SobiProAdmUrl.replace("%task%",s)+"&"+e.attr("name")+"="+e.val();SobiPro.jQuery.ajax({type:"get",url:a,dataType:"json",method:"xhr"})}})),SobiPro.jQuery(".spctrl-add-repo").click((function(){new r})),SobiPro.jQuery(".spctrl-remove-repo").click((function(){const e=SobiPro.jQuery(this).attr("rel"),o=SobiPro.jQuery("#SP_method").next("input"),r={option:"com_sobipro",task:"extensions.delRepo",method:"xhr",format:"raw",repository:e};r[o.attr("name")]=o.val(),SobiPro.jQuery.ajax({type:"post",url:"index.php",data:r,dataType:"json",success:function(e){window.location.replace(e.redirect.url)}})})),SobiPro.jQuery(".spctrl-ext-install").click((function(){SobiPro.jQuery(this).hasClass("disabled")||new s(SobiPro.jQuery(this).parent(),SobiPro.jQuery(this).attr("rel"))}));try{SobiPro.jQuery("#repositoryurl").keydown((function(e){13===e.keyCode&&(e.preventDefault(),setTimeout((function(){SobiPro.jQuery(".spctrl-add-repo").click()}),100))}))}catch(e){}}));